# CircularRedirectException (Apache HttpComponents Client 4.5.14 API)
Date: 2022-11-30

org.apache.http.client

## Class CircularRedirectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.http.HttpException
      - - org.apache.http.ProtocolException
        - - org.apache.http.client.RedirectException
          - - org.apache.http.client.CircularRedirectException

All Implemented Interfaces:
  Serializable

    public class CircularRedirectException
    extends RedirectException

Signals a circular redirect

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CircularRedirectException()` Creates a new CircularRedirectException with a `null` detail message.
`CircularRedirectException(String message)` Creates a new CircularRedirectException with the specified detail message.
`CircularRedirectException(String message, Throwable cause)` Creates a new CircularRedirectException with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CircularRedirectException

    public CircularRedirectException()

Creates a new CircularRedirectException with a `null` detail message.

#### CircularRedirectException

    public CircularRedirectException(String message)

Creates a new CircularRedirectException with the specified detail message.

Parameters:
  `message` - The exception detail message

#### CircularRedirectException

    public CircularRedirectException(String message,
                             Throwable cause)

Creates a new CircularRedirectException with the specified detail message and cause.

Parameters:
  `message` - the exception detail message
  `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`